Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 205620 - Fedora Extras: Package Review Request: buildos
Summary: Fedora Extras: Package Review Request: buildos
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 205617 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW 205617
TreeView+ depends on / blocked
 
Reported: 2006-09-07 17:15 UTC by Prarit Bhargava
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-27 12:34:36 UTC


Attachments (Terms of Use)
buildos SRPM (deleted)
2006-09-07 17:16 UTC, Prarit Bhargava
no flags Details
source rpm (deleted)
2006-09-11 14:43 UTC, Prarit Bhargava
no flags Details
source RPM (deleted)
2006-09-28 15:54 UTC, Prarit Bhargava
no flags Details

Description Prarit Bhargava 2006-09-07 17:15:59 UTC
The buildos RPM is a script I wrote a while back as a wrapper
to anaconda to quickly build new OS distros.  The script executes the createrepo
and the buildinstall commands, as well as building a DVD or CD distribution.

buildos SRPM attached.

Comment 1 Prarit Bhargava 2006-09-07 17:16:00 UTC
Created attachment 135789 [details]
buildos SRPM

Comment 2 Prarit Bhargava 2006-09-07 17:18:25 UTC
I tested this out on ppc, ppc64, i386, i686, x86_64, and ia64 arches.

P.

Comment 3 Bill Nottingham 2006-09-07 17:27:30 UTC
*** Bug 205617 has been marked as a duplicate of this bug. ***

Comment 4 Jesse Keating 2006-09-07 17:40:33 UTC
I'd rather see this in Extras space, and if you go the extras route, you can get
it available for FC6.

Comment 5 Doug Chapman 2006-09-08 18:54:31 UTC
Prarit,

FYI, the help for buildos shows an argument called --productversion however the
code appears to actually use --version.



Comment 6 Prarit Bhargava 2006-09-11 14:43:09 UTC
Created attachment 135995 [details]
source rpm

Added new source rpm that fixes the issue dchapman raised.

Comment 7 Prarit Bhargava 2006-09-28 15:54:45 UTC
Created attachment 137319 [details]
source RPM

Comment 8 John Mahowald 2007-05-26 19:51:34 UTC
This still has a use even with pungi available?


This is one bash script and is not arch dependent, make it BuildArch: noarch.

Which will also get rid of the empty debuginfo problem.

I think it would be good practice to Require the things it uses, so people can
install it and have it just work. anaconda, anaconda-runtime, createrepo, and
mkisofs come to mind.

There is no URL or Source URL in the spec. I assume this srpm is the sources of
this thing.

Does this have a version number? The rpm says 1.0.0 but the only version in the
sources, in the comment of the script, is 0.7.

%files needs a %defattr statement.

Comment 9 Prarit Bhargava 2007-05-27 12:34:36 UTC
No longer an issue -- jkeating's pungi does all of this.

P.

Comment 10 Patrice Dumas 2007-05-27 16:20:31 UTC
Duplicate functionality is not an blocking issue -- but sure 
decreases the incentive to submit and maintain a package.

Comment 11 Prarit Bhargava 2007-05-27 20:12:18 UTC
(In reply to comment #10)
> Duplicate functionality is not an blocking issue -- but sure 
> decreases the incentive to submit and maintain a package.

True :), but I'm willing to surrender to pungi :)

P.




Note You need to log in before you can comment on or make changes to this bug.